<!DOCTYPE html>

<head>
  <title>{% block title %}{% endblock %}</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  {% block meta %}
  <meta name="description" content="{{page.description}}">
  <meta name="author" content="{{page.author}}">
  <meta name="generator" content="{{meta.generator}}">
  {% endblock %}
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <link rel="stylesheet" href="{{get_media('css/main.css')}}">
  {% block css %}
  {% endblock %}
</head>

<body class="sidebar-page">

  <header>
    {%include "include/navbar.html" -%}
  </header>

  <div class="container">
    <div class="row">
      <div class="sidebar-content col-9">
        {% block body %}
        {% endblock %}
      </div>
      <div class="sidebar-aside col-3">
        <aside>
          {% if page.aside %}
          {{embed(page.aside)|safe}}
          {% else %}
          {{include('include/aside.yaml')|safe}}
          {% endif %}
          <div id="custom" class="info-box">
            <h2>Custom templates</h2>
            <p>This page uses a custom template. in <code>config.yaml</code> you can
              define a list of search paths i.e. <code>templates: ["custom", "templates"]</code>
              so you can write standard themes and derive your custom themes for sites.
            </p>
          </div>
        </aside>
      </div>
    </div>
  </div>

  {%include "include/footer.html" -%}

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
    crossorigin="anonymous"></script>
  <script src="{{get_media('js/main.js')}}" type="text/javascript"></script>
</body>

</html>